VSTGUI: FinishedMessage Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
FinishedMessage Class Reference
Version 4.0

Animation Finished Message Object. More...

Inheritance diagram for FinishedMessage:

## Public Member Functions
| FinishedMessage (CView *view, const std::string &name, IAnimationTarget *target)
CView * | getView () const
IdStringPtr | getName () const
IAnimationTarget * | getTarget () const
CBaseObject * | newCopy () const override
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexceptoverride=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
virtual CMessageResult | notify ([[maybe_unused]] CBaseObject *sender,[[maybe_unused]] IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Attributes
CView * | view
const std::string & | name
IAnimationTarget * | target

## Detailed Description

Animation Finished Message Object.

The FinishedMessage will be sent to the notificationObject when the animation has finished

## Constructor & Destructor Documentation

FinishedMessage | ( | CView * | view,
|  | const std::string & | name,
|  | IAnimationTarget * | target
| ) |  |
| inline

## Member Function Documentation

IdStringPtr getName | ( |  | ) | const
| inline

IAnimationTarget* getTarget | ( |  | ) | const
| inline

CView* getView | ( |  | ) | const
| inline

CBaseObject* newCopy | ( |  | ) | const
| inlineoverride

## Member Data Documentation

const std::string& name
| protected

IAnimationTarget* target
| protected

CView* view
| protected

The documentation for this class was generated from the following file:

- animator.h